/*
 * Copyright (C) 2005 - 2011, Roni Zaharia
 */

/// \page CPPTestApplications C++ Test Applications
/// The C++ test applications can be downloaded from www.roniza.com/downloads
/// \section CPPCreateDICOMDIR C++ Create DICOMDIR Demo
/// C++ Dicom Object Demo
/// This is a very simple example that shows how to create a DICOMDIR file for 
/// an existing folder with DICOM files in it.
#import "../rzdcx.tlb" rename_namespace ("rzdcxLib")
using namespace rzdcxLib;

int main(int argc, char* argv[])
{
	int res = 0;
	CoInitialize(NULL);
	{
		IDCXDICOMDIRPtr ddir(__uuidof(DCXDICOMDIR));
		if (argc > 1)
			ddir->ScanAndCreate(argv[1], AP_GENERAL_PURPOSE, "RZDCX_TEST", false);
		else
			res = 1;
	}
	CoUninitialize();
	return res;
}

