/*
 * Copyright (C) 2005 - 2011, Roni Zaharia
 */


// Sink.cpp : implementation file
//

#include "stdafx.h"
#include "Sink.h"


// CSink

IMPLEMENT_DYNAMIC(CSink, CCmdTarget)


CSink::CSink()
{
	EnableAutomation();
}

CSink::~CSink()
{
}


void CSink::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}


BEGIN_MESSAGE_MAP(CSink, CCmdTarget)
END_MESSAGE_MAP()


BEGIN_DISPATCH_MAP(CSink, CCmdTarget)
	DISP_FUNCTION(CSink, "OnMoveResponseRecieved", OnMoveResponseRecieved, VT_I4, VTS_BOOL)
	DISP_FUNCTION(CSink, "OnMoveResponseRecieved", OnMoveResponseRecieved, VT_I4, VTS_BOOL)
	DISP_FUNCTION(CSink, "OnMoveResponseRecieved", OnMoveResponseRecieved, VT_I4, VTS_BOOL)
END_DISPATCH_MAP()

// Note: we add support for IID_ISink to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .IDL file.

// {4AF0BAFE-5575-4381-9CC9-59A0156D65B2}
static const IID IID_ISink =
{ 0x4AF0BAFE, 0x5575, 0x4381, { 0x9C, 0xC9, 0x59, 0xA0, 0x15, 0x6D, 0x65, 0xB2 } };

BEGIN_INTERFACE_MAP(CSink, CCmdTarget)
	INTERFACE_PART(CSink, __uuidof(IDCXREQEvents), Dispatch)
END_INTERFACE_MAP()



HRESULT CSink::OnMoveResponseRecieved(VARIANT_BOOL res)
{
	return E_ABORT;
}