/*
 * Copyright (C) 2005 - 2011, Roni Zaharia
 */

#pragma once

namespace rz
{
	class thread
	{
		static DWORD WINAPI ThreadFunc(LPVOID pv)
		{
			try
			{
				(reinterpret_cast<thread *>(pv))->run();
			}
			catch(...)
			{
			}
			return 0;
		}
	protected:
		HANDLE _hEvent;

	public:

		typedef DWORD threadid;

		thread()
			:_hEvent(0)
		{}

		virtual ~thread()
		{}

		static threadid getthreadid()
		{
			return ::GetCurrentThreadId();
		}

		static void sleep(long milliseconds=1)
		{
			::Sleep(milliseconds);
		}

		HANDLE createAndGetEvent()
		{
			_hEvent = CreateEvent(NULL,FALSE,FALSE,_T("Event"));
			return _hEvent;
		}

		threadid start()
		{
			threadid id;
			::CreateThread(NULL, 0, ThreadFunc, this, 0, &id);
			return id;
		}

		virtual void run()=0;
	};
};
