﻿using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using rzdcxLib;
using System.IO;

namespace rzdcxNUnit
{
    [TestFixture]
    public class Test_DICOMDIR
    {
		/// <summary>
        /// Test element value of type PN using the Patient Name tag
        /// </summary>
        [Test]
        public void Test_ScanAndCreate()
        {
            String fullpath = "DIRTEST";
            Directory.CreateDirectory(fullpath);
            CommonTestUtilities.CreateDummyImages(fullpath);
            DCXDICOMDIR dir = new DCXDICOMDIR();
            dir.ScanAndCreate(fullpath, APPLICATION_PROFILE.AP_DEFAULT, "RZDCX_CS_TEST", false);
            Assert.IsTrue(File.Exists(fullpath + "\\" + "DICOMDIR"));
            Directory.Delete(fullpath, true);
        }
    }
}
