/*
 * Copyright (C) 2005 - 2011, Roni Zaharia
 */

// CPPMoveSeriesExample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#import "../rzdcx.tlb" rename_namespace ("rzdcxLib")
#include "Sink.h"

using namespace rzdcxLib;
using namespace std;


int main(int argc, char* argv[])
{
	CoInitialize(NULL);


	{
		IDCXREQPtr req(__uuidof(DCXREQ));

		IConnectionPointContainerPtr ptrConPntCnt = (IDispatch*)req;
		IConnectionPointPtr ptrCon;
		IUnknown* pHandler = NULL;
		DWORD dwCookie;

		if(ptrConPntCnt != NULL)
		{
			ptrConPntCnt->FindConnectionPoint(__uuidof(IDCXREQEvents),&ptrCon);

			CSink *pSink = new CSink();

			pHandler = pSink->GetInterface(&IID_IUnknown);
			ptrCon->Advise(pHandler,&dwCookie);

			try {
				req->MoveSeries("RZDCX", "JDICOM", "localhost", 5104, "JDICOM2", "29", 
					"1.3.46.670589.33.1.17971886402193657411.309713837059410185",
					"1.3.46.670589.33.1.39973255682142838344.25804774183403708157");
				req.Release();
			} catch (_com_error& e) {
				printf("%s", _bstr_t(e.Description()));
			}

			ptrCon->Unadvise(dwCookie);
			ptrCon.Release();
			ptrConPntCnt.Release();
			delete pSink;
		}
	}

	CoUninitialize();
	return 0;
}

