#pragma once

#include "cppunit/extensions/HelperMacros.h"

class ObjectAndElementTest
    : public CPPUNIT_NS::TestFixture
{
    CPPUNIT_TEST_SUITE( ObjectAndElementTest );

		CPPUNIT_TEST ( Test_SingleValueSL );
		CPPUNIT_TEST ( Test_MultiValueSL );
		
		CPPUNIT_TEST ( Test_SingleValueFL );
		CPPUNIT_TEST ( Test_MultiValueFL );

		CPPUNIT_TEST ( Test_SingleValueFD );
		CPPUNIT_TEST ( Test_MultiValueFD );

		CPPUNIT_TEST ( Test_SetFromStringSL );
		CPPUNIT_TEST ( Test_SetFromStringFL );
		CPPUNIT_TEST ( Test_SetFromStringFD );

		CPPUNIT_TEST ( Test_SetSomeWiredString );

    CPPUNIT_TEST_SUITE_END();

protected:

	void Test_SingleValueSL ();
	void Test_MultiValueSL ();

	void Test_SingleValueFL ();
	void Test_MultiValueFL ();

	void Test_SingleValueFD ();
	void Test_MultiValueFD ();

	void Test_SetFromStringSL ();
	void Test_SetFromStringFL ();
	void Test_SetFromStringFD ();

	void Test_SetSomeWiredString();

public:

    ObjectAndElementTest(void);
    virtual ~ObjectAndElementTest(void);

	virtual void setUp();
	virtual void tearDown();

};
